KJS::ListIterator class Reference (kjs Library)

| # kjs Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KJS::ListIterator Class Reference

Iterator for KJS::List objects. More...

`#include <types.h>`

List of all members.

## Public Member Functions
| ListIterator (const List &l)
| Construct an iterator that points to the first element of the list.
ListIterator & | operator= (const ListIterator &iterator)
| Assignment constructor.
| ListIterator (const ListIterator &i)
| Copy constructor.
ValueImp * | operator-> () const
| Dereference the iterator.
Value | operator * () const
Value | operator++ ()
| Postfix increment operator.
Value | operator++ (int)
| Prefix increment operator.
Value | operator-- ()
| Postfix decrement operator.
Value | operator-- (int)
| Prefix decrement operator.
bool | operator== (const ListIterator &it) const
| Compare the iterator with another one.
bool | operator!= (const ListIterator &it) const
| Check for inequality with another iterator.
## Friends
class | List
class | ListImp

## Detailed Description

Iterator for KJS::List objects.

Definition at line 58 of file types.h.

## Constructor & Destructor Documentation

ListIterator::ListIterator | ( | const List & | l | ) |

  | Construct an iterator that points to the first element of the list. Parameters:
  l | The list the iterator will operate on.
Definition at line 92 of file types.cpp. References KStdAccel::next().

ListIterator::ListIterator | ( | const ListIterator & | i | ) |

| Copy constructor. Definition at line 103 of file types.cpp.

## Member Function Documentation

ListIterator & ListIterator::operator= | ( | const ListIterator & | iterator | ) |

| Assignment constructor. Definition at line 97 of file types.cpp. References node.

ValueImp * ListIterator::operator-> | ( |  | ) | const

| Dereference the iterator. Returns: A pointer to the element the iterator operates on. Definition at line 111 of file types.cpp.

Value ListIterator::operator++ | ( |  | ) |

| Postfix increment operator. Returns: The element after the increment. Definition at line 123 of file types.cpp.

Value ListIterator::operator++ | ( | int |  | ) |

| Prefix increment operator. Definition at line 129 of file types.cpp.

Value ListIterator::operator-- | ( |  | ) |

| Postfix decrement operator. Definition at line 136 of file types.cpp.

Value ListIterator::operator-- | ( | int |  | ) |

| Prefix decrement operator. Definition at line 142 of file types.cpp.

bool ListIterator::operator== | ( | const ListIterator & | it | ) | const

| Compare the iterator with another one. Returns: True if the two iterators operate on the same list element. False otherwise. Definition at line 149 of file types.cpp. References node.

bool ListIterator::operator!= | ( | const ListIterator & | it | ) | const

| Check for inequality with another iterator. Returns: True if the two iterators operate on different list elements. Definition at line 154 of file types.cpp. References node.

The documentation for this class was generated from the following files:

- types.h
- types.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:09:18 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001